Skip to navigation

List System Logs

Get system logs

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Store logsread-onlystore_logs_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Query parameters

limitintegerOptionalDefaults to 50
Query parameter that lets you return the number of results displayed per page.
pageintegerOptionalDefaults to 1
Query parameter that lets you specify the starting page in which results are returned.
typeenumOptional
Query parameter that lets you filter the results by log type.
type:notstringOptional
Query parameter that lets you exclude a log type from the results.
moduleenumOptional
Query parameter that lets you filter the results by module.
Allowed values:
module:notstringOptional
Query parameter that lets you exclude a log module from the results.
severityenumOptional

Query parameter that lets you filter results by severity level, as an integer. The following values are possible: Success = 1, Notice = 2, Warning = 3, Error = 4

Allowed values:
severity:minintegerOptional
Query parameter that lets you filter by minimum severity, as an integer.
severity:maxintegerOptional
Query parameter that lets you filter by maximum severity, as an integer.
id:inlist of integersOptional

A comma-separated list of log IDs by which to filter. For example, ?id:in=3,4,6.

sortenumOptional

The log key by which to sort results. If left blank, results will be reported in order of creation. This parameter is case-sensitive.

Allowed values:
directionenumOptional

The direction in which to sort results. Defaults to ascending (asc). This parameter is case-sensitive.

Allowed values:

Response

The request completed successfully.
datalist of objectsOptional
metaobjectOptional

BigCommerce meta payload for collection-type responses.